%define name picview
%define version 0.8
%define release 1mdk


Summary: Picview is an image preview and viewing program for Gnome.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
Source: %{name}-%{version}.tar.bz2
URL: http://www.digitallabyrinth.com/linux/picview/index.html
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Picview is an image preview and viewing program for Gnome. Why another image
viewer for Gnome? Well, all the other's out there didn't do exactly what I
wanted to do. Most of them force you to either view the image in the same
window as all the preview icons, or only one image can be viewed at a time.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build

%configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 755 picview $RPM_BUILD_ROOT%{_bindir}
install -m 644 picview.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/picview"\
title="Picview"\
longtitle="Image viewer"\
needs="x11"\
section="Multimedia/Graphics"
EOF
)
 
%post
%update_menus
 
%postun
%update_menus 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README 
%{_bindir}/*
%{_datadir}/pixmaps/picview.png
%{_menudir}/*

%changelog
* Thu Aug 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-1mdk
- 0.8

* Wed Jan 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6-2mdk
- rebuild

* Tue Nov 14 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk 
- new in contribs
